rotate labels tool does not work properly when canvas is rotated

2017-11-17 02:26 PM - Thomas Baumann

Status: Open

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25384

Description

The rotate labels tool does not care about the rotation of the canvas.

If the canvas is rotated the area where you have to click to start rotating the label is not rotated.

So it is hard to find the are where you have to click to rotate a label.

This affects the 2.18.x-version as well as the 2.99.x

History

#1 - 2017-11-21 04:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

It seems to work fine on master, can you confirm/check? Thanks!

#2 - 2017-11-22 11:01 AM - Thomas Baumann

- File rotate_labels_in_master.mp4 added

I just checked it on master ( b058df7d1d ) and the problem still exists (see attached screencast).

#3 - 2017-11-23 07:31 PM - Giovanni Manghi

- Operating System deleted (Win7)

- Status changed from Feedback to Open

#4 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#5 - 2019-01-28 06:46 PM - salvatore fiandaca

using attached files: I confirm problem in 2.18.28-2, 3.4.4-2 and master

win 10 64b OSGeo4W

#6 - 2019-01-28 06:52 PM - Giovanni Manghi
- Affected QGIS version changed from 2.18.14 to 3.5(master)

- Status changed from Feedback to Open

Files

rotate_label_bug.zip 7.88 KB 2017-11-17 Thomas Baumann

bug_rotate_labels.mp4 2.14 MB 2017-11-17 Thomas Baumann

rotate_labels_in_master.mp4 942 KB 2017-11-22 Thomas Baumann
